# vyos_logging – Manage logging on network devices

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of logging on Vyatta Vyos devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of logging definitions.

dest
-

Choices:
- console
- file
- global
- host
- user

Destination of the logs.

facility - |  | Set logging facility.
level - |  | Set logging severity levels.
name - |  | If value of `dest` is file it indicates file-name, for user it indicates username and for host indicates the host name to be notified.

provider
dictionary

Deprecated
Starting with Ansible 2.5 we recommend using `connection: network_cli`.
For more information please see the Network Guide.

A dict object containing connection details.

| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.

state
-

Choices:
- present ←
- absent

State of the logging configuration.

## Notes

Note

- Tested against VyOS 1.1.8 (helium).
- This module works with connection `network_cli`. See the VyOS OS Platform Options.
- For more information on using Ansible to manage network devices see the Ansible Network Guide

## Examples

    - name: configure console logging
      vyos_logging:
        dest: console
        facility: all
        level: crit

    - name: remove console logging configuration
      vyos_logging:
        dest: console
        state: absent

    - name: configure file logging
      vyos_logging:
        dest: file
        name: test
        facility: local3
        level: err

    - name: Add logging aggregate
      vyos_logging:
        aggregate:
          - { dest: file, name: test1, facility: all, level: info }
          - { dest: file, name: test2, facility: news, level: debug }
        state: present

    - name: Remove logging aggregate
      vyos_logging:
        aggregate:
          - { dest: console, facility: all, level: info }
          - { dest: console, facility: daemon, level: warning }
          - { dest: file, name: test2, facility: news, level: debug }
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device Sample: ['set system syslog global facility all level notice']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Trishna Guha (@trishnaguha)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.